Package twisted :: Package spread :: Module pb :: Class IdentityWrapper |
[frames | no frames]

## Class IdentityWrapper

    Jellyable --+
                |
     Serializable --+
                    |
        Referenceable --+
                        |
                       IdentityWrapper

DEPRECATED.

I delegate most functionality to a `twisted.cred.identity.Identity`.

Method Summary
| ``__init__`(self, broker, identity)` Initialize, specifying an identity to wrap.
| `_attached(self, perspective, remoteRef)`
| ``remote_attach`(self, serviceName, perspectiveName, remoteRef)` Attach the remote reference to a requested perspective.
Inherited from Referenceable
| ``jellyFor`(self, jellier)` (internal)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
Inherited from Referenceable
`NoneType` | `perspective` = None
Inherited from Jellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IJell...`

Method Details

### __init__(self, broker, identity) (Constructor) Initialize, specifying an identity to wrap.

### remote_attach(self, serviceName, perspectiveName, remoteRef) Attach the remote reference to a requested perspective.

Generated by Epydoc 2.0 on Sat Oct 25 00:54:46 2003 | http://epydoc.sf.net